# Customer Registration

After the first activation of a user using the SDK, Gigastore sends the webhook as a POST request, providing the customers with the UID needed for later top-ups. On your server, you must implement a callback sending the user's email.

{% hint style="info" %}
Please add your server URL on [Gigastore](https://dent.giga.store/#/api). \
Only **HTTPS** server URLs are allowed.&#x20;
{% endhint %}

### Request Parameters <a href="#response-parameters" id="response-parameters"></a>

| Attribute  | Type   | Example                              | Info                                                                         |
| ---------- | ------ | ------------------------------------ | ---------------------------------------------------------------------------- |
| user token | string | USER\_TOKEN\_1234567                 | The userToken you provided in [setUserToken](/ios/load-sdk.md#set-usertoken) |
| uid        | string | 058c8716-47dd-4fc4-be89-00978a86b7c0 | The ID of your user on Gigastore                                             |

#### Sample Request <a href="#sample-response" id="sample-response"></a>

```
{
    "userToken": "USER_TOKEN_1234567",
    "customerUid": "058c8716-47dd-4fc4-be89-00978a86b7c0"
}
```

### Response Parameters <a href="#response-parameters" id="response-parameters"></a>

| Attribute | Type   | Example            | Info                                                               |
| --------- | ------ | ------------------ | ------------------------------------------------------------------ |
| email     | string | <email@domain.com> | <p></p><p>The email your user used to sign-in in your platform</p> |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{ "email": "email@domain.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giga.store/sdk-webhooks/customer-registration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
